- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes

# GlobalConfig Class Reference

Search for all occurrences

## Detailed Description

Definition at line 37 of file globalconfig.h.

`#include <globalconfig.h>`

List of all members.

## Public Types
enum | DevicesToHideFlag { ShowUnavailableDevices = 0, ShowAdvancedDevices = 0, HideAdvancedDevices = 1, AdvancedDevicesFromSettings = 2, HideUnavailableDevices = 4 }
## Public Member Functions
| GlobalConfig ()
virtual | ~GlobalConfig ()
bool | hideAdvancedDevices () const
void | setHideAdvancedDevices (bool hide=true)
void | setAudioOutputDeviceListFor (Phonon::Category category, QList< int > order)
QList< int > | audioOutputDeviceListFor (Phonon::Category category, int override=AdvancedDevicesFromSettings) const
int | audioOutputDeviceFor (Phonon::Category category, int override=AdvancedDevicesFromSettings) const
void | setAudioCaptureDeviceListFor (Phonon::Category category, QList< int > order)
QList< int > | audioCaptureDeviceListFor (Phonon::Category category, int override=AdvancedDevicesFromSettings) const
int | audioCaptureDeviceFor (Phonon::Category category, int override=AdvancedDevicesFromSettings) const
## Protected Attributes
GlobalConfigPrivate *const | k_ptr

## Member Enumeration Documentation

enum DevicesToHideFlag

Search for all occurrences

Enumerator:

  ShowUnavailableDevices | Search for all occurrences
  ShowAdvancedDevices | Search for all occurrences
  HideAdvancedDevices | Search for all occurrences
  AdvancedDevicesFromSettings | Search for all occurrences
  HideUnavailableDevices | Search for all occurrences

Definition at line 44 of file globalconfig.h.

                                   {
                ShowUnavailableDevices = 0,
                ShowAdvancedDevices = 0,
                HideAdvancedDevices = 1,
                AdvancedDevicesFromSettings = 2,
                HideUnavailableDevices = 4
            };

## Constructor & Destructor Documentation

GlobalConfig | ( |  | ) |

virtual ~GlobalConfig | ( |  | ) | `[virtual]`

## Member Function Documentation

bool hideAdvancedDevices | ( |  | ) | const

Search for all occurrences

void setHideAdvancedDevices | ( | bool | hide = `true` | ) |

Search for all occurrences

void setAudioOutputDeviceListFor | ( | Phonon::Category | category,
|  | QList< int > | order
| ) |  |

Search for all occurrences

QList<int> audioOutputDeviceListFor | ( | Phonon::Category | category,
|  | int | override = `AdvancedDevicesFromSettings`
| ) |  | const

Search for all occurrences

int audioOutputDeviceFor | ( | Phonon::Category | category,
|  | int | override = `AdvancedDevicesFromSettings`
| ) |  | const

Search for all occurrences

void setAudioCaptureDeviceListFor | ( | Phonon::Category | category,
|  | QList< int > | order
| ) |  |

Search for all occurrences

QList<int> audioCaptureDeviceListFor | ( | Phonon::Category | category,
|  | int | override = `AdvancedDevicesFromSettings`
| ) |  | const

Search for all occurrences

int audioCaptureDeviceFor | ( | Phonon::Category | category,
|  | int | override = `AdvancedDevicesFromSettings`
| ) |  | const

Search for all occurrences

## Member Data Documentation

GlobalConfigPrivate* const k_ptr `[protected]`

Search for all occurrences

Definition at line 64 of file globalconfig.h.

The documentation for this class was generated from the following file:

- phonon/globalconfig.h

GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig
GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig GlobalConfig